Admin A P I
Toggle server backup lock
Toggles whether a server backup is locked against deletion.
POST
/api/admin/servers/{server_admin_identifier}/backups/{backup_id}/toggleAuthorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Path Parameters
server_admin_identifier*string
The server ID or UUID.
backup_id*string
The ID of the backup.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/admin/servers/1/backups/architecto/toggle"{ "object": "backup", "attributes": { "uuid": "ce8a4c18-b8e3-4dbc-903c-c961df2b5f19", "name": "Odit et et modi.", "ignored_files": [ "string" ], "checksum": "string", "bytes": 0, "is_successful": true, "is_locked": false, "created_at": "2026-09-22T14:45:25+00:00", "completed_at": "2026-09-22T14:45:25+00:00" }}